Uploaded image for project: 'Puppet'
  1. Puppet
  2. PUP-3386

Puppet Module Gem Dependency Metadata and Installation

    Details

    • Type: New Feature
    • Status: Closed
    • Priority: Normal
    • Resolution: Won't Do
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: Modules, PMT
    • Labels:
      None

      Description

      Puppet module metadata.json currently are only concerned with module dependencies. Some modules have gem dependencies that needs to be installed on the master, and the metadata.json file should either include these dependencies or refer to the module Gemfile regarding this dependency.

      The additional info should allow the puppet module tool list the gem dependency and optionally install them as well.

      There is a thread on Puppet User regarding this:
      https://groups.google.com/forum/#!topic/puppet-users/fScJS3KRZHM

        Attachments

          Issue Links

            Activity

              jsd-sla-details-panel

                People

                • Assignee:
                  anderson Anderson Mills
                  Reporter:
                  nanliu Nan Liu
                  QA Contact:
                  Zach Reichert
                • Votes:
                  4 Vote for this issue
                  Watchers:
                  8 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: